module.exports = {
  create: {
    requestBody: ["user_id", "title", "origin", "type", "desc"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["user_id", "title", "origin", "type", "desc"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id:"user_id",
        room_id:"room_id",
        type:"type",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  // 登陆
  login: {
    requestBody: ["room_id", "passwd"],
    service: "login",
  },
};
