module.exports = {
  create: {
    requestBody: [
      "!dock_id",
      "!content",
      "!sender_id",
      "!sender_name",
      "sender_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "!dock_id",
      "!content",
      "!sender_id",
      "!sender_name",
      "remark",
      "sender_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        dock_id: "dock_id",
        sender_id: "sender_id",
        sender_name: "%sender_name%",
        "send_time@start": "send_time@start",
        "send_time@end": "send_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["send_time"],
      asc: true,
      count: true,
    },
  },
};
