module.exports = {
  create: {
    requestBody: [
      "dock_id",
      "name",
      "phone",
      "create_time",
      "productList",
      "status",
      "user_id",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "dock_id",
      "name",
      "phone",
      "create_time",
      "productList",
      "status",
      "user_id",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        dock_id: "dock_id",
        user_id: "user_id",
        name: "name",
        phone: "phone",
        status: "status",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  goodCheck: {
    params: ["!id"],
    requestBody: ["good_id", "status"],
    service: "goodCheck",
  },
  userCheck: {
    params: ["!id"],
    requestBody: ["status"],
    service: "userCheck",
  },
};
