module.exports = {
  create: {
    requestBody: ["dock_id", "name", "phone", "email", "brief", "remark"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["dock_id", "name", "phone", "email", "brief", "remark"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        dock_id: "dock_id",
        name: "name",
        phone: "phone",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  login: {
    params: ["!id"],
    requestBody: ["phone", "password"],
    service: "login",
  },
};
