module.exports = {
  create: {
    requestBody: [
      "medium_id",
      "openid",
      "project",
      "orderid",
      "create_time",
      "content",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "medium_id",
      "openid",
      "project",
      "orderid",
      "create_time",
      "content",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        medium_id: "medium_id",
        openid: "openid",
        orderid: "orderid",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
