module.exports = {
  create: {
    requestBody: [
      "user_id",
      "admin_id",
      "is_mech",
      "mechanism_id",
      "mechanism_name",
      "water_number",
      "create_number",
      "name",
      "apply_name",
      "type",
      "inventor",
      "contact",
      "phone",
      "email",
      "questions",
      "check_url",
      "agent_url",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "admin_id",
      "is_mech",
      "mechanism_id",
      "mechanism_name",
      "water_number",
      "create_number",
      "name",
      "apply_name",
      "type",
      "inventor",
      "contact",
      "phone",
      "email",
      "questions",
      "check_url",
      "agent_url",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        admin_id: "admin_id",
        is_mech: "is_mech",
        mechanism_id: "mechanism_id",
        mechanism_name: "mechanism_name",
        water_number: "water_number",
        create_number: "create_number",
        name: "name",
        apply_name: "apply_name",
        type: "type",
        status: "status",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  check: {
    requestBody: ["id", "status", "remark", "water_number"],
  },
};
