module.exports = {
  create: {
    requestBody: [
      "admin_id",
      "user_id",
      "patent_id",
      "create_number",
      "patent_name",
      "inventor",
      "type",
      "contact",
      "phone",
      "email",
      "abstract",
      "field",
      "explain",
      "is_money",
      "report",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "admin_id",
      "user_id",
      "patent_id",
      "create_number",
      "patent_name",
      "inventor",
      "type",
      "contact",
      "phone",
      "email",
      "abstract",
      "field",
      "explain",
      "is_money",
      "report",
      "record",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        admin_id: "admin_id",
        user_id: "user_id",
        patent_id: "patent_id",
        create_number: "create_number",
        patent_name: "patent_name",
        type: "type",
        status: "status",
        is_money: "is_money",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  check: {
    requestBody: ["id", "status", "remark", "report", "is_money"],
  },
};
