module.exports = {
  create: {
    requestBody: [
      "!sender_id",
      "sender_name",
      "!receiver_id",
      "receiver_name",
      "type",
      "content",
      "file",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "sender_id",
      "sender_name",
      "receiver_id",
      "receiver_name",
      "type",
      "content",
      "file",
      "is_read",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        sender_id: "sender_id",
        receiver_id: "receiver_id",
        is_read: "is_read",
        id: "id",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["send_time"],
      asc: true,
      count: true,
    },
  },
  chatPerson: {
    parameters: {
      query: {
        id: "id",
      },
    },
    service: "getChatList",
  },
  chatRecord: {
    parameters: {
      query: {
        sender_id: "sender_id",
        receiver_id: "receiver_id",
      },
    },
    service: "queryPersonChat",
  },
};
