module.exports = {
  create: {
    requestBody: ["parent_id", "name", "inventor", "lose_date", "content"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["parent_id", "name", "inventor", "lose_date", "content"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        parent_id: "parent_id",
        name: "%name%",
        inventor: "%inventor%",
        lose_date: "lose_date",
        user_id: "user_id",
        code: "code",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  warning: {
    service: "needWarning",
  },
};
