module.exports = {
  create: {
    requestBody: [
      "create_number",
      "create_date",
      "success_number",
      "success_date",
      "name",
      "inventor",
      "address",
      "apply_personal",
      "term",
      "type",
      "agent_personal",
      "agent",
      "abstract",
      "img_url",
      "origin",
      "status",
      "trans_status",
      "nationality",
      "ipc_type",
      "onlegal_status",
      "legal_status",
      "law_date",
      "on_obligee",
      "apply_address",
      "apply_other",
      "law_num",
      "first_opendate",
      "empower_date",
      "lose_date",
      "examine_date",
      "invention_design",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "create_number",
      "create_date",
      "success_number",
      "success_date",
      "name",
      "inventor",
      "address",
      "apply_personal",
      "term",
      "type",
      "agent_personal",
      "agent",
      "abstract",
      "img_url",
      "origin",
      "status",
      "trans_status",
      "nationality",
      "ipc_type",
      "onlegal_status",
      "legal_status",
      "law_date",
      "on_obligee",
      "apply_address",
      "apply_other",
      "law_num",
      "first_opendate",
      "empower_date",
      "lose_date",
      "examine_date",
      "invention_design",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        apply_type: "apply_type",
        create_number: "%create_number%",
        create_date: "%create_date%",
        success_number: "%success_number%",
        success_date: "%success_date%",
        name: "%name%",
        inventor: "%inventor%",
        address: "%address%",
        apply_personal: "%apply_personal%",
        term: "%term%",
        type: "%type%",
        agent_personal: "%agent_personal%",
        agent: "%agent%",
        abstract: "%abstract%",
        origin: "%origin%",
        user_id: "user_id",
        status: "status",
        trans_status: "%trans_status%",
        nationality: "%nationality%",
        ipc_type: "%ipc_type%",
        onlegal_status: "%onlegal_status%",
        legal_status: "%legal_status%",
        law_date: "%law_date%",
        on_obligee: "%on_obligee%",
        apply_address: "%apply_address%",
        apply_other: "%apply_other%",
        law_num: "%law_num%",
        first_opendate: "%first_opendate%",
        empower_date: "%empower_date%",
        lose_date: "%lose_date%",
        examine_date: "%examine_date%",
        invention_design: "%invention_design%",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["create_date"],
      asc: true,
      count: true,
    },
  },

  toImport: {
    requestBody: ["uri", "origin", "user_id"],
    service: "toImport",
  },
  toExport: {
    requestBody: ["user"],
    service: "toExport",
  },
};
