module.exports = {
  create: {
    requestBody: [
      "time_id",
      "p1_id",
      "p1",
      "p2_id",
      "p2",
      "create_time",
      "last_time",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "time_id",
      "p1_id",
      "p1",
      "p2_id",
      "p2",
      "create_time",
      "last_time",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        time_id: "time_id",
        p1_id: "p1_id",
        p1: "p1",
        p2_id: "p2_id",
        p2: "p2",
        create_time: "create_time",
        last_time: "last_time",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
