module.exports = {
  create: {
    requestBody: [
      "order_num",
      "describe",
      "urgent",
      "contact",
      "phone",
      "email",
      "requirement",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "order_num",
      "describe",
      "urgent",
      "contact",
      "phone",
      "email",
      "requirement",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        order_num: "order_num",
        urgent: "%urgent%",
        contact: "%contact%",
        phone: "%phone%",
        email: "%email%",
        status: "%status%",
        "sell_money@start": "sell_money@start",
        "sell_money@end": "sell_money@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
