module.exports = {
  create: {
    requestBody: [
      "user_id",
      "admin_id",
      "patent_id",
      "create_number",
      "patent_name",
      "contact",
      "phone",
      "email",
      "budget",
      "type",
      "is_report",
      "report",
      "requirementdesc",
      "expect",
      "present",
      "on_obligee",
      "on_afterobligee",
      "transfer_date",
      "condition",
      "is_contract",
      "contract",
      "offine_contract",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "user_id",
      "admin_id",
      "patent_id",
      "create_number",
      "patent_name",
      "contact",
      "phone",
      "email",
      "budget",
      "type",
      "is_report",
      "report",
      "requirementdesc",
      "expect",
      "present",
      "on_obligee",
      "on_afterobligee",
      "transfer_date",
      "condition",
      "is_contract",
      "contract",
      "offine_contract",
      "status",
      "isdel",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        user_id: "user_id",
        admin_id: "admin_id",
        patent_id: "patent_id",
        create_number: "create_number",
        patent_name: "patent_name",
        contact: "contact",
        phone: "phone",
        email: "email",
        budget: "budget",
        is_report: "is_report",
        type: "type",
        on_obligee: "%on_obligee%",
        on_afterobligee: "%on_afterobligee%",
        transfer_date: "%transfer_date%",
        status: "status",
        isdel: "isdel",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      options: {
        isdel: "0", // 默认条件
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  check: {
    requestBody: ["id", "status", "remark", "transfer_date"],
  },
};
