module.exports = {
  create: {
    requestBody: [
      "to_id",
      "to_name",
      "patent_id",
      "patent_name",
      "create_number",
      "content",
      "file_url",
      "is_read",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "to_id",
      "to_name",
      "create_number",
      "patent_id",
      "patent_name",
      "content",
      "file_url",
      "is_read",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        to_id: "to_id",
        to_name: "to_name",
        patent_id: "patent_id",
        patent_name: "patent_name",
        is_read: "is_read",
        create_number: "create_number",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  import: {
    requestBody: [
      "uri"
    ],
  },
};
