module.exports = {
  create: {
    requestBody: ["disclosure_id", "content"],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: ["disclosure_id", "content"],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        disclosure_id: "disclosure_id",
        content: "content",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
