module.exports = {
  create: {
    requestBody: [
      "create_number",
      "patent_id",
      "name",
      "inventor",
      "type",
      "money_type",
      "sell_type",
      "sell_money",
      "contacts",
      "phone",
      "email",
      "user_id",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "create_number",
      "patent_id",
      "name",
      "inventor",
      "type",
      "money_type",
      "sell_type",
      "sell_money",
      "contacts",
      "phone",
      "email",
      "user_id",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        code: "code",
        patent_id: "patent_id",
        user_id: "user_id",
        status: "status",
        create_number: "create_number",
        name: "name",
        money_type: "money_type",
        type: "type",
        sell_type: "sell_type",
        contacts: "contacts",
        "sell_money@start": "sell_money@start",
        "sell_money@end": "sell_money@end",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
