module.exports = {
  create: {
    requestBody: [
      "order_num",
      "buyer_id",
      "buyer_contacts",
      "buyer_phone",
      "buyer_email",
      "type",
      "sell",
      "purchase",
      "status",
      "remark",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "order_num",
      "buyer_id",
      "buyer_contacts",
      "buyer_phone",
      "buyer_email",
      "type",
      "sell",
      "purchase",
      "status",
      "remark",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        order_num: "order_num",
        buyer_contacts: "buyer_contacts",
        buyer_phone: "buyer_phone",
        buyer_email: "buyer_email",
        type: "type",
        status: "status",
        remark: "remark",
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
