module.exports = {
  create: {
    requestBody: [
      "!name",
      "!password",
      "phone",
      "email",
      "addr",
      "code",
      "office_phone",
      "profession",
      "institution_code",
      "companytype",
      "companydate",
      "companycapital",
      "companyperson",
      "sndqyzsr",
      "sndyffy",
      "companytotal",
      "zjzyfrs",
      "companybrief",
      "mainproduct",
      "qualifications",
      "remark",
      "juris",
      "status",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "phone",
      "email",
      "addr",
      "code",
      "office_phone",
      "profession",
      "institution_code",
      "companytype",
      "companydate",
      "companycapital",
      "companyperson",
      "sndqyzsr",
      "sndyffy",
      "companytotal",
      "zjzyfrs",
      "companybrief",
      "mainproduct",
      "qualifications",
      "juris",
      "remark",
      "status",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        phone: "phone",
        code: "code",
        profession: "profession",
        institution_code: "institution_code",
        companyperson: "companyperson",
        status: "status",
        juris: "juris",
        "create_time@start": "create_time@start",
        "create_time@end": "create_time@end",
      },
      options: {
        isdel: "0", // 默认条件
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
  //修改密码
  password: {
    params: ["!id"],
    requestBody: ["password"],
    service: "password",
  },
  // 登陆
  login: {
    requestBody: ["institution_code", "password"],
    service: "login",
  },
  // 获取指定电话号关联的所有企业
  getList: {
    parameters: {
      query: {
        phone: "phone",
        name: "name",
      },
      options: {
        query: ["skip", "limit"],
        sort: ["meta.createdAt"],
        desc: true,
        count: true,
      },
    },
    service: "getList",
  },
  // 绑定微信
  bind: {
    requestBody: ["id", "openid"],
    service: "bind",
  },
  // 解除绑定
  bindRemove: {
    requestBody: ["id", "openid"],
    service: "bindRemove",
  },
  // 微信登录
  wxLogin: {
    requestBody: ["openid"],
    service: "wxLogin",
  },
};
