module.exports = {
  create: {
    requestBody: [
      '!name',
      '!password',
      '!phone',
      'email',
      'addr',
      'office_phone',
      'profession',
      'code',
      'openid',
      'status',
      'remark',
      'juris',
      'create_time',
      'is_expert',
      'school',
      'major',
      'card',
      'zwzc',
    ],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: [
      'name',
      'phone',
      'email',
      'addr',
      'office_phone',
      'profession',
      'code',
      'openid',
      'status',
      'remark',
      'juris',
      'create_time',
      'is_expert',
      'school',
      'major',
      'card',
      'zwzc',
    ],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        name: '%name%',
        phone: 'phone',
        code: 'code',
        juris: 'juris',
        status: 'status',
        profession: 'profession',
        'create_time@start': 'create_time@start',
        'create_time@end': 'create_time@end',
      },
      options: {
        isdel: '0', // 默认条件
      },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
  //修改密码
  password: {
    params: ['!id'],
    requestBody: ['password'],
    service: 'password',
  },
  // 登陆
  login: {
    requestBody: ['phone', 'password'],
    service: 'login',
  },
  upgrade: {
    requestBody: [
      'education',
      'school',
      'birthDate',
      'qqwx',
      'email',
      'company',
      'zwzc',
      'expertise',
      'img_path',
      'workexperience',
      'scientific',
      'undertakingproject',
      'scienceaward',
      'social',
      'status',
      'remark',
      '!id',
    ],
    service: 'upgrade',
  },

  import: {
    requestBody: ['uri'],
  },
  export: {
    requestBody: [],
  },
};
