'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose/lib/model/schema');
const { ObjectId } = require('mongoose').Types;
// 科技频道表
const channel = {
  user_id: { type: ObjectId }, // 关联的personal的id
  title: { type: String, required: false, maxLength: 200 }, // 标题
  origin: { type: String, required: false, maxLength: 200 }, // 来源
  type: { type: String, required: false, maxLength: 200 }, // 类别
  room_id: { type: String, required: false, maxLength: 200 }, // 房间id,服务生成,从2001开始
  passwd: { type: Secret, required: false, maxLength: 200, select: false }, // 密码,房间号
  desc: { type: String, maxLength: 1000 }, // 简介
  remark: { type: String, maxLength: 200 },
  create_time: { type: String, default: moment().format('YYYY-MM-DD HH:mm:ss') },
};
const schema = new Schema(channel, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Channel', schema, 'channel');
};
