'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 展会视频表表
const dock_video = {
  dock_id: { type: ObjectId, required: true }, // 展会id
  title: { type: String, required: false, maxLength: 200 }, // 标题
  brief: { type: String }, // 简介
  file_url: { type: String }, // 视频地址
  user_id: { type: ObjectId }, // 创建人
  remark: { type: String },
};
const schema = new Schema(dock_video, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ dock_id: 1 });
schema.index({ title: 1 });
schema.index({ user_id: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Dock_video', schema, 'dock_video');
};
