'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 科普微视频表
const kjzl_mini_video = {
  title: { type: String }, // 标题
  origin: { type: String }, // 来源
  video_file: { type: Array }, // 视频文件
  remark: { type: String },
};
const schema = new Schema(kjzl_mini_video, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ title: 1 });
schema.index({ video_file: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Kjzl_mini-video', schema, 'kjzl_mini-video');
};
