'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 交底书表
const disclosure = {
  user_id: { type: ObjectId }, // 用户id
  admin_id: { type: ObjectId }, // 管理员id
  name: { type: String }, // 发明名称
  apply_name: { type: String }, // 申请人
  type: { type: String }, // 申请类型
  inventer: { type: String }, // 发明人
  contact: { type: String }, // 技术联系人
  phone: { type: String }, // 联系人电话
  email: { type: String }, // 联系人邮箱
  desc: { type: String }, // 特殊情况说明
  questions: { type: Object }, // 问题
  is_mech: { type: String }, // 是否需要机构
  mechanism_id: { type: ObjectId }, // 机构id
  mechanism_name: { type: String }, // 机构名称
  status: { type: String, default: '0' }, // 状态:0-已申请;1-机构审核;-1-机构审核未通过;2-管理员评估;-2-管理员评估未通过;3-管理员评估通过,等待上传至国家库;4-上传完成
  record: { type: Array }, // 记录
  remark: { type: String },
};
const schema = new Schema(disclosure, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ admin_id: 1 });
schema.index({ user_id: 1 });
schema.index({ apply_name: 1 });
schema.index({ name: 1 });
schema.index({ status: 1 });
schema.index({ is_mech: 1 });
schema.index({ mechanism_id: 1 });
schema.index({ mechanism_name: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Disclosure', schema, 'disclosure');
};
