'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 专利申请-审批单
const patentapply = {
  user_id: { type: ObjectId }, // 用户id
  admin_id: { type: ObjectId }, // 管理员id
  is_mech: { type: String }, // 是否需要机构
  mechanism_id: { type: ObjectId }, // 机构id
  mechanism_name: { type: String }, // 机构名称
  water_number: { type: String }, // 流水号
  create_number: { type: String }, // 申请号
  name: { type: String }, // 发明名称
  apply_name: { type: String }, // 申请人
  type: { type: String }, // 申请类型
  inventor: { type: Array }, // 发明人
  contact: { type: Array }, // 联系人
  phone: { type: String }, // 联系人电话
  email: { type: String }, // 联系人邮箱
  questions: { type: Object }, // 问题
  check_url: { type: Array }, // 审查文件
  agent_url: { type: Array }, // 专利代理上报文件
  record: { type: Array }, // 记录
  status: { type: String, default: '0' }, // 状态
  remark: { type: String },
};
const schema = new Schema(patentapply, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ user_id: 1 });
schema.index({ admin_id: 1 });
schema.index({ is_mech: 1 });
schema.index({ mechanism_id: 1 });
schema.index({ mechanism_name: 1 });
schema.index({ water_number: 1 });
schema.index({ create_number: 1 });
schema.index({ name: 1 });
schema.index({ apply_name: 1 });
schema.index({ status: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Patentapply', schema, 'patent_apply');
};
