'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { Secret } = require('naf-framework-mongoose/lib/model/schema');
const { ObjectId } = require('mongoose').Types;
// 专利资讯服务聊天表
const patentchat = {
  // room_id: { type: ObjectId, required: true }, // 聊天房间id
  sender_id: { type: ObjectId, required: true }, // 发送人id
  sender_name: { type: String, required: false }, // 发送人名字
  receiver_id: { type: ObjectId, required: true }, // 接收人id
  receiver_name: { type: String, required: false }, // 接收人名字
  type: { type: String, required: false }, // 内容類型：1：内容，2：文件
  content: { type: String, required: false }, // 内容
  file: { type: Array }, // 文件
  is_read: { type: Boolean, default: false }, // 是否已读
  send_time: { type: String, default: moment().format('YYYY-MM-DD HH:mm:ss') },
};
const schema = new Schema(patentchat, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ sender_id: 1 });
schema.index({ sender_name: 1 });
schema.index({ receiver_id: 1 });
schema.index({ receiver_name: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Patentchat', schema, 'patent_chat');
};
