'use strict';
const Schema = require('mongoose').Schema;
const moment = require('moment');
const metaPlugin = require('naf-framework-mongoose/lib/model/meta-plugin');
const { ObjectId } = require('mongoose').Types;
// 专利维权-维权委托书
const patentsafeg = {
  user_id: { type: ObjectId }, // 用户id
  admin_id: { type: ObjectId }, // 管理员id
  create_number: { type: String }, // 申请号
  name: { type: String }, // 发明名称
  apply_personal: { type: String }, // 申请人
  type: { type: String }, // 申请类型
  inventor: { type: Array }, // 发明人
  contact: { type: String }, // 联系人
  phone: { type: String }, // 联系人电话
  email: { type: String }, // 联系人邮箱
  questions: { type: Object }, // 问题
  file: { type: Array }, // 报告文件
  record: { type: Array }, // 记录
  status: { type: String, default: '0' }, // 状态
  remark: { type: String },
};
const schema = new Schema(patentsafeg, { toJSON: { virtuals: true } });
schema.index({ id: 1 });
schema.index({ user_id: 1 });
schema.index({ admin_id: 1 });
schema.index({ create_number: 1 });
schema.index({ status: 1 });
schema.index({ 'meta.createdAt': 1 });
schema.plugin(metaPlugin);
module.exports = app => {
  const { mongoose } = app;
  return mongoose.model('Patentsafeg', schema, 'patent_safeg');
};
