'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  const profix = '/api/live/';
  const vision = 'v0';
  router.get(`${profix}${vision}/wxlogin/:site`, controller.weixin.auth);
  router.get(`${profix}${vision}/authBack`, controller.weixin.authBack);
  router.get(`${profix}${vision}/wxuser/:site`, controller.weixin.wxUser);
  router.post(`${profix}${vision}/util`, controller.home.utilMethod);
  router.post(`${profix}${vision}/spm`, controller.home.spm);
  router.get(`${profix}${vision}/index`, controller.home.indexQuery);
  // users
  require('./router/users/admin')(app); // 管理员
  require('./router/users/personal')(app); // 个人用户
  require('./router/users/organization')(app); // 机构用户
  require('./router/users/expert')(app); // 专家用户
  require('./router/users/product')(app); // 产品
  require('./router/users/person_room')(app); // 个人聊天房间
  require('./router/users/person_chat')(app); // 个人聊天
  require('./router/users/question')(app); // 调研调查
  require('./router/users/project_solic')(app); // 项目征集
  // system
  require('./router/system/menu')(app); // 菜单
  require('./router/system/category')(app); // 字典类别
  require('./router/system/code')(app); // 字典
  require('./router/system/invite_code')(app); // 邀请码
  require('./router/system/notice')(app); // 通知管理
  require('./router/system/survey')(app); // 建言献策,网上调查
  // dock
  require('./router/dock/road_show')(app); // 路演
  require('./router/dock/interview')(app); // 访谈
  require('./router/dock/dock')(app); // 展会
  require('./router/dock/dock_video')(app); // 展会-视频
  require('./router/dock/dock_imgtxt')(app); // 展会-图文
  require('./router/dock/dock_user')(app); // 展会-用户
  require('./router/dock/dock_vip')(app); // 展会-vip用户
  require('./router/dock/dock_transcation')(app); // 展会-合同
  require('./router/dock/train_live')(app); // 培训
  require('./router/dock/train_chat')(app); // 展会-聊天
  require('./router/dock/channel')(app); // 科技频道
  require('./router/dock/channel_video')(app); // 科技频道视频
  require('./router/dock/dock_chat')(app); // 展会聊天
  require('./router/dock/patent')(app); // e专利
  // tecinfo
  require('./router/tecinfo/column')(app); // 栏目
  require('./router/tecinfo/news')(app); // 信息
  require('./router/tecinfo/science')(app); // 科技新闻
  require('./router/tecinfo/universal')(app); // 科学普及
  require('./router/tecinfo/view_point')(app); // 智库视点
  require('./router/tecinfo/dimension')(app); // 专利维权
  require('./router/tecinfo/patentnav')(app); // 专利导航

  // statistics
  require('./router/statistics/index')(app); // 首页统计
  // cysci
  require('./router/cysci/coupons')(app); // 创新券
  require('./router/cysci/coupons_apply')(app); // 创新券申请
  require('./router/cysci/declare')(app); // 高企申报
  require('./router/cysci/cashing')(app); // 高企申报兑付
  require('./router/cysci/reward')(app); // 研发补贴/奖励兑换申领
  require('./router/cysci/mechanism')(app); // 机构
  // kjzl
  require('./router/kjzl/kjzl_mini_video')(app); // 科教之旅-微视频
  require('./router/kjzl/kjzl_refute')(app); // 科教之旅-科学辟谣
  require('./router/kjzl/kjzl_medium')(app); // 科教之旅-机构
  require('./router/kjzl/kjzl_chat')(app); // 科教之旅-评价
  require('./router/kjzl/kjzl_order')(app); // 科教之旅-订单表
  require('./router/kjzl/kjzl_expert_view')(app); // 科教之旅-专家视点

  // 专利运营
  // require('./router/patent/disclosure')(app); // 交底表
  // require('./router/patent/report')(app); // 评估报告
  // require('./router/patent/notice')(app); // 消息通知
  // require('./router/patent/sell')(app); // 交易
  // require('./router/patent/purchase')(app); // 求购
  // require('./router/patent/tradeorder')(app); // 交易订单
  // 2021-08-20-重定义
  // require('./router/patent/patentroom')(app); // 专利资讯服务房间表
  require('./router/patent/patentchat')(app); // 专利资讯服务聊天表
  require('./router/patent/patentexamine')(app); // 审核通知表
  require('./router/patent/patentnotice')(app); // 通知表
  require('./router/patent/patentapply')(app); // 专利申请表-审批单
  require('./router/patent/patentwarning')(app); // 专利申请预警表
  require('./router/patent/patentanalysis')(app); // 查新检索表-交底单
  require('./router/patent/patentassess')(app); // 价值评估表
  require('./router/patent/patentinfo')(app); // 专利信息表
  require('./router/patent/patentearly')(app); // 专利信息已授权专利预警表
  require('./router/patent/patenttrans')(app); // 专利交易表
  require('./router/patent/patenttechol')(app); // 专利需求表
  require('./router/patent/patentsafeg')(app); // 专利维权表
};
