'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'dock';
  const target = 'trainLive';
  // 延长登陆
  router.get(target, `${profix}${vision}/${index}/${target}/user/longer/:id`, controller[index][target].userLonger);
  // 培训问诊管理员登陆
  router.post(target, `${profix}${vision}/${index}/${target}/login`, controller[index][target].login);
  // 参会人员登陆
  router.post(target, `${profix}${vision}/${index}/${target}/user/login/:id`, controller[index][target].userLogin);
  // 参会人员注销
  router.post(target, `${profix}${vision}/${index}/${target}/user/logout/:id`, controller[index][target].userLogout);
  // 添加参会人员
  router.post(target, `${profix}${vision}/${index}/${target}/user/:id`, controller[index][target].addUser);
  // 删除参会人员
  router.delete(target, `${profix}${vision}/${index}/${target}/user/:id`, controller[index][target].deleteUser);
  // 修改参会人员
  router.post(target, `${profix}${vision}/${index}/${target}/user/update/:id`, controller[index][target].updateUser);
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
  router.get(target, `${profix}${vision}/${index}/${target}/user/:id`, controller[index][target].userData);
  router.resources(target, `${profix}${vision}/${index}/${target}`, controller[index][target]); // index、create、show、destroy
};
