'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'patent';
  const target = 'disclosure';
  const mware = app.middleware.disclosureRecord();
  const mware2 = app.middleware.disclosureReport();
  router.get(target, `${profix}${vision}/${index}/${target}/haveReport`, mware, controller[index][target].haveReport);
  router.resources(target, `${profix}${vision}/${index}/${target}`, mware, mware2, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, mware, controller[index][target].update);
  router.post(target, `${profix}${vision}/${index}/${target}/check`, controller[index][target].check);
  router.post(target, `${profix}${vision}/${index}/${target}/import`, controller[index][target].import);
  router.post(target, `${profix}${vision}/${index}/${target}/cacheImport`, controller[index][target].cacheImport);
  router.post(target, `${profix}${vision}/${index}/${target}/toExport`, controller[index][target].toExport);
};
