'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'patent';
  const target = 'patentapply';
  const metaTime = app.middleware.createTime();
  const record = app.middleware.patentapplyRecord(`${index}.${target}`);
  router.resources(target, `${profix}${vision}/${index}/${target}`, metaTime, record, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/check`, controller[index][target].check);
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, record, controller[index][target].update);
};
