'use strict';


module.exports = app => {
  const { router, controller } = app;
  const profix = '/api/live/';
  const vision = 'v0';
  const index = 'patent';
  const target = 'patentinfo';
  const metaTime = app.middleware.createTime();
  router.get(target, `${profix}${vision}/${index}/${target}/queryByOrg`, metaTime, controller[index][target].queryByOrg);
  router.get(target, `${profix}${vision}/${index}/${target}/mechQuery`, metaTime, controller[index][target].mechQuery);
  router.resources(target, `${profix}${vision}/${index}/${target}`, metaTime, controller[index][target]); // index、create、show、destroy
  router.post(target, `${profix}${vision}/${index}/${target}/update/:id`, controller[index][target].update);
  router.post(target, `${profix}${vision}/${index}/${target}/toImport`, controller[index][target].toImport);
  router.post(target, `${profix}${vision}/${index}/${target}/toExport`, controller[index][target].toExport);
};
